package org.apache.ojb.odmg.collections;

/* Copyright 2002-2004 The Apache Software Foundation
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

import org.apache.ojb.broker.Identity;
import org.apache.ojb.broker.PBKey;
import org.apache.ojb.broker.PersistenceBroker;
import org.apache.ojb.broker.PersistenceBrokerFactory;

/**
 * Insert the type's description here.
 * Creation date: (26.02.2001 13:18:35)
 * @author Thomas Mahler
 */
public class DSetEntry extends DListEntry
{
    private static final long serialVersionUID = 6334656303221694908L;
    
    /**
     * DSetEntry constructor comment.
     */
    public DSetEntry()
    {
        super();
    }

    public DSetEntry(PBKey pbKey)
    {
        super(pbKey);
    }

    /**
     * DSetEntry constructor comment.
     * @param anId int
     * @param aDlistId int
     * @param pos int
     * @param anOid java.lang.String
     */
    public DSetEntry(int anId, int aDSetId, int pos, Identity anOid)
    {
        super(anId, aDSetId, pos, anOid);
    }

    /**
     * DSetEntry constructor comment.
     * @param theDlist org.apache.ojb.server.collections.DListImpl
     * @param theObject java.lang.Object
     */
    public DSetEntry(DSetImpl theDSet, Object theObject)
    {
        this.position = theDSet.size();
        this.dlistId = theDSet.getId();
        PersistenceBroker broker = PersistenceBrokerFactory.defaultPersistenceBroker();
        Identity OID = new Identity(theObject,broker);
        broker.close();
        //this.serializedOID = OID.serialize();
        this.oid = OID;
        this.realSubject = theObject;
    }

}
