// $ANTLR 2.7.3: "oql-ojb.g" -> "OQLParser.java"$

/*
 * This OQL grammar has been derived from a OQL sample grammar from the ODMG
 * WebSite. The original grammar is copyright protected by MicroData Base
 * Systems: Copyright (c) 1999 Micro Data Base Systems, Inc. All rights
 * reserved.
 *
 * The original grammar has been modified to fit into the ObJectBridge (OJB)
 * Persistence Managment System.
 *
 * Modifications done by Ch. Rath & Th. Mahler & S. Harris
 *
 * This grammar can be used to build an OQL Parser with the ANTLR Parser
 * construction set.
 * The grammar defines a Parser that translates valid OQL Strings
 * into ojb.broker.query.Query Objects. These query objects can be used
 * to perform database queries by means of the OJB PersistenceBroker.
 * @see ojb.server.oql.OQLQueryImpl for implementation details.
 */
package org.apache.ojb.odmg.oql;

import org.apache.ojb.broker.query.*;
import org.apache.ojb.broker.metadata.*;
import org.apache.ojb.broker.*;
import org.apache.ojb.broker.util.ClassHelper;
import java.util.*;

public interface OQLLexerTokenTypes {
	int EOF = 1;
	int NULL_TREE_LOOKAHEAD = 3;
	int TOK_RPAREN = 4;
	int TOK_LPAREN = 5;
	int TOK_COMMA = 6;
	int TOK_SEMIC = 7;
	int TOK_COLON = 8;
	int TOK_DOT = 9;
	int TOK_INDIRECT = 10;
	int TOK_CONCAT = 11;
	int TOK_EQ = 12;
	int TOK_PLUS = 13;
	int TOK_MINUS = 14;
	int TOK_SLASH = 15;
	int TOK_STAR = 16;
	int TOK_LE = 17;
	int TOK_GE = 18;
	int TOK_NE = 19;
	int TOK_NE2 = 20;
	int TOK_LT = 21;
	int TOK_GT = 22;
	int TOK_LBRACK = 23;
	int TOK_RBRACK = 24;
	int TOK_DOLLAR = 25;
	int NameFirstCharacter = 26;
	int NameCharacter = 27;
	int Identifier = 28;
	int TOK_UNSIGNED_INTEGER = 29;
	int TOK_APPROXIMATE_NUMERIC_LITERAL = 30;
	int TOK_EXACT_NUMERIC_LITERAL = 31;
	int CharLiteral = 32;
	int StringLiteral = 33;
	int WhiteSpace = 34;
	int NewLine = 35;
	int CommentLine = 36;
	int MultiLineComment = 37;
	int LITERAL_select = 38;
	int LITERAL_distinct = 39;
	int LITERAL_from = 40;
	int LITERAL_where = 41;
	int LITERAL_order = 42;
	int LITERAL_by = 43;
	int LITERAL_group = 44;
	int LITERAL_prefetch = 45;
	int LITERAL_exists = 46;
	int LITERAL_in = 47;
	int LITERAL_asc = 48;
	int LITERAL_desc = 49;
	int LITERAL_or = 50;
	int LITERAL_and = 51;
	int LITERAL_nil = 52;
	int LITERAL_not = 53;
	int LITERAL_list = 54;
	int LITERAL_between = 55;
	int LITERAL_is_undefined = 56;
	int LITERAL_is_defined = 57;
	int LITERAL_like = 58;
	int LITERAL_true = 59;
	int LITERAL_false = 60;
	int LITERAL_date = 61;
	int LITERAL_time = 62;
	int LITERAL_timestamp = 63;
}
